Skip to main content
GET
/
followups
/
scheduled
Listar follow-ups agendados
curl --request GET \
  --url https://api.cordialy.ai/integrations/v1/followups/scheduled \
  --header 'X-API-Key: <api-key>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "scheduled_at": "2023-11-07T05:31:56Z",
    "attempt_number": 123,
    "message_sent": "<string>",
    "sent_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

X-API-Key
string
header
required

Chave de API gerada na plataforma em Integrações → API Keys

Query Parameters

lead_id
string<uuid>

Filtrar por lead específico

Response

200 - application/json

Lista de follow-ups

id
string<uuid>
lead_id
string<uuid>
config_id
string<uuid> | null
status
enum<string>

Status do follow-up agendado

Available options:
pending,
sent,
failed,
cancelled
followup_type
enum<string>
Available options:
fixed_message,
ai_objective
scheduled_at
string<date-time>

Data/hora agendada para envio

attempt_number
integer

Número da tentativa

message_sent
string | null

Mensagem enviada (preenchido após envio)

sent_at
string<date-time> | null
created_at
string<date-time>